summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index d9b3e69f..c3491666 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -23,3 +23,28 @@ autoconf --force || exit 1
echo "Running automake..."
automake --add-missing --force --copy || exit 1
+#! /bin/sh
+mkdir -p m4
+echo "Creating m4/aclocal.m4 ..."
+test -r m4/aclocal.m4 || touch m4/aclocal.m4
+
+echo "Running autopoint"
+autopoint --force || exit 1
+
+echo "Running intltoolize..."
+intltoolize --force --copy --automake || exit 1
+
+echo "Running aclocal..."
+aclocal || exit 1
+
+echo "Running libtoolize..."
+libtoolize || exit 1
+
+echo "Running autoheader..."
+autoheader || return 1
+
+echo "Running autoconf..."
+autoconf --force || exit 1
+
+echo "Running automake..."
+automake --add-missing --force --copy || exit 1